[FFe] Add cobbler enrollment support to server cd image

Bug #831496 reported by Dave Walker on 2011-08-22
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cobbler-enlist (Ubuntu)
Undecided
Dave Walker
Oneiric
Undecided
Dave Walker
curl (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned
xmlrpc-c (Ubuntu)
High
Ubuntu Server
Oneiric
High
Ubuntu Server

Bug Description

One of the work items for https://blueprints.launchpad.net/ubuntu/+spec/server-o-cobbler-next-steps is to support enrolling a new server with cobbler as a menu option.

Some work has already been achieved in doing this, but the source package for cobbler-enrol has not yet entered the archive.

The package is quite simple (containing a smallish C programme), and provides a deb and udeb for installer integration.

It is expected to be seeded (so MIR required), and a change to the server iso to add a menu option. This should have no impact on other flavours.

Dave Walker (davewalker) on 2011-08-22
tags: added: server-ffe
tags: added: server-o-ffe
removed: server-ffe
Dave Walker (davewalker) on 2011-08-22
Changed in ubuntu:
milestone: none → ubuntu-11.10-beta-1
importance: Undecided → High
Dave Walker (davewalker) on 2011-08-22
summary: - [FFe] Add cobbler enrolment support to server cd image
+ [FFe] Add cobbler enrollment support to server cd image
Colin Watson (cjwatson) wrote :

This is certainly OK to upload to the archive; I'd like the package to be in a shape where we can review its debconf interaction before giving it a yea/nay on going into the default server image, though.

Martin Pitt (pitti) on 2011-08-31
Changed in ubuntu:
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
tags: added: rls-mgr-o-tracking
Dave Walker (davewalker) on 2011-09-15
affects: Ubuntu Oneiric → xmlrpc-c (Ubuntu Oneiric)
Changed in xmlrpc-c (Ubuntu Oneiric):
milestone: ubuntu-11.10-beta-2 → none
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curl - 7.21.6-3ubuntu3

---------------
curl (7.21.6-3ubuntu3) oneiric; urgency=low

  [ James Page, Colin Watson ]
  * Add new libcurl3-udeb package, stripped down for use during installation
    (LP: #831496).
 -- James Page <email address hidden> Wed, 14 Sep 2011 17:31:37 +0100

Changed in curl (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xmlrpc-c - 1.16.32-0ubuntu4

---------------
xmlrpc-c (1.16.32-0ubuntu4) oneiric; urgency=low

  * Add libxmlrpc-core-c3-0-udeb for use during installation (LP: #831496).
 -- Colin Watson <email address hidden> Thu, 15 Sep 2011 18:34:36 +0100

Changed in xmlrpc-c (Ubuntu Oneiric):
status: New → Fix Released
Dave Walker (davewalker) wrote :

Changed curl task to generic Ubuntu to represent the cobbler-enrol task, which is source NEW - as Launchpad doesn't allow adding of a new generic task, if there is already a Ubuntu task with a package. :/

affects: curl (Ubuntu Oneiric) → Ubuntu Oneiric
Dave Walker (davewalker) wrote :

cobbler-enlist (0.1-1) oneiric; urgency=low

  * Initial release. (LP: #831496)

 -- Dave Walker (Daviey) <email address hidden> Tue, 02 Aug 2011 15:49:55 +0100

affects: Ubuntu Oneiric → cobbler-enlist (Ubuntu Oneiric)
Changed in cobbler-enlist (Ubuntu Oneiric):
milestone: ubuntu-11.10 → none
status: Confirmed → Fix Released
Changed in curl (Ubuntu Oneiric):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers